Subject: Re: bug#22320: Overlays with an 'invisible property break stacking of overlay faces

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Jan 2016 20:52:06 +0200

> Cc: [email-masked]
> From: Clément Pit--Claudel <[email-masked]>
> Date: Thu, 7 Jan 2016 12:36:35 -0500
> 
> Interestingly, even after disabling the fix for the issue that led to it, I can't reproduce the issue posted there. Instead, I get the behaviour that I described in my previous mail.

I'm not surprised: a lot has changed in the display engine since
2005.  The original issue was just the tip of an iceberg: the general
problem was that the ellipsis would have an unpredictable face which
depended on the face of the first invisible character.  I think this
is more confusing than what we have now, because that situation is by
far much more common.